1. Zhang Huangbin
  2. iredmail
Issue #27 resolved

Ubuntu 14.04 .. failed on phpmyadmin

Mal Harwood
created an issue

Hi Zhang.

I just tried an install from the latest default pull into a clean Ubuntu 14.04 i386 install and it failed with phpmyadmin ...

Why are you downloading phpmyadmin from http://iredmail.org/yum/misc/phpldapadmin-1.2.3.tgz and not just use the one from the standard repository ????

Cheers,

Mal.

Comments (3)

  1. Zhang Huangbin repo owner

    Excuse me, failed on phpmyadmin or phpldapadmin?

    On Ubuntu 13.10 and 14.04, you can install phpldapadmin from official repo, error:

    Errors were encountered while processing:
     phpldapadmin
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    

    The reason is, this package is going to create symbol link /etc/apache2/conf.d/phpldapadmin to /etc/phpldapadmin/apache.conf, but Apache 2.4 (shipped in Ubuntu 13.10 and 14.04) doesn't have /etc/apache2/conf.d/ by default, and phpldapadmin package doesn't create it before creating symbol link. So installation failed.

  2. Log in to comment